---
home: true
heroImage: /logo.svg
heroText: Elbgoods Guidelines
tagline: This site contains a set of guidelines we follow because consistency is one of the most valuable traits of maintainable software.
footer: Copyright © 2019-present Elbgoods GmbH, Hamburg
---

## Keywords
 
### Definition

The key words "**MUST**", "**MUST NOT**", "**REQUIRED**", "**SHALL**", "**SHALL NOT**", "**SHOULD**", "**SHOULD NOT**", "**RECOMMENDED**", "**MAY**", and "**OPTIONAL**" in this document are to be interpreted as described in RFC 2119.

* **MUST** This word, or the terms **REQUIRED** or **SHALL**, mean that the definition is an absolute requirement of the specification.
* **MUST NOT** This phrase, or the phrase **SHALL NOT**, mean that the definition is an absolute prohibition of the specification.
* **SHOULD** This word, or the adjective **RECOMMENDED**, mean that there may exist valid reasons in particular circumstances to ignore a particular item, but the full implications must be understood and carefully weighed before choosing a different course.
* **SHOULD NOT** This phrase, or the phrase **NOT RECOMMENDED** mean that there may exist valid reasons in particular circumstances when the particular behavior is acceptable or even useful, but the full implications should be understood and the case carefully weighed before implementing any behavior described with this label.

### Usage

* You **MUST** format all keywords in uppercase and bold.
* You **SHOULD** use the four major keywords ("**MUST**", "**MUST NOT**", "**SHOULD**", "**SHOULD NOT**") only. This is to make a search easier and the rules easier to read.
* You **MUST NOT** use the short form of the negated keywords
  * "**SHOULDN'T**" => "**SHOULD NOT**".
